import React from 'react'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

export const FullTextLabel = styled.span`
  font-size: ${th('fontSizeBaseSmall')};
  display: inline-block;
  background-color: ${th('colorSuccess')};
  color: ${th('colorTextReverse')};
  padding: 0 ${th('gridUnit')};
`

const Label = styled.span`
  font-size: ${th('fontSizeBaseSmall')};
  display: inline-block;
  background-color: ${th('colorFurniture')};
  color: ${th('colorTextReverse')};
  padding: 0 ${th('gridUnit')};
  margin-right: ${th('gridUnit')};
  font-weight: normal;
`
export const PreprintLabel = ({ version }) => (
  <Label>
    Preprint{version && version > 0 ? ` v${Math.round(version)}` : ''}
  </Label>
)
