const logger = require('@pubsweet/logger')
const { FileManager } = require('../../xpub-model')

const getFileInfo = async (req, res, next) => {
  try {
    const { filename, mimeType, size } = await FileManager.findByUrl(
      req.params.filename,
    )

    req.minioFile = { filename, mimeType, size }
    logger.info(`${req.params.filename} found: `, req.minioFile)
  } catch (error) {
    logger.warn(`${req.params.filename} not found: `, error)
  }
  next()
}

module.exports = {
  getFileInfo,
}
