const { Job, Property } = require('./data-access')

const JobManager = {
  modelName: 'Job',
  model: Job,
  find: Job.selectByName,
  selectAll: Job.selectAll,
  listNames: Job.selectAllNames,
  update: async (data, userId, trx) => {
    const updated = await Job.update(data, userId, trx)
    if (!updated) {
      throw new Error('Job not found')
    }
    return updated
  },
}

const PropManager = {
  modelName: 'Property',
  model: Property,
  find: Property.selectByName,
  selectAll: Property.selectAll,
  update: async (data, userId, trx) => {
    const updated = await Property.update(data, userId, trx)
    if (!updated) {
      throw new Error('Config property not found')
    }
    return updated
  },
}

module.exports = { JobManager, PropManager }
